import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiScriptCommandHandler, UiScriptConfig } from "../generated/UiScriptConfig";
export declare class UiScript extends AbstractUiComponent<UiScriptConfig> implements UiScriptCommandHandler {
    private scriptElement;
    private modulePromise;
    constructor(config: UiScriptConfig, context: TeamAppsUiContext);
    protected doGetMainElement(): HTMLElement;
    callFunction(name: string, parameters: any[]): Promise<void>;
}
